regina::alias::FaceOfSimplex< Derived, dim, 2 > Class Template Reference
Dimension-Specific Aliases

Helper class that provides dimension-specific aliases for face<0,1,2>(int) and faceMapping<0,1,2>(int). More...

`#include <triangulation/alias/face.h>`

Inheritance diagram for regina::alias::FaceOfSimplex< Derived, dim, 2 >:

## Public Member Functions

Face< dim, 2 > * | triangle (int i) const
| A dimension-specific alias for face<2>(). More...
Perm< dim+1 > | triangleMapping (int i) const
| A dimension-specific alias for faceMapping<2>(). More...
Face< dim, 1 > * | edge (int i) const
| A dimension-specific alias for face<1>(). More...
Perm< dim+1 > | edgeMapping (int i) const
| A dimension-specific alias for faceMapping<1>(). More...
Face< dim, 0 > * | vertex (int i) const
| A dimension-specific alias for face<0>(). More...
Perm< dim+1 > | vertexMapping (int i) const
| A dimension-specific alias for faceMapping<0>(). More...

## Detailed Description

### template<class Derived, int dim>
class regina::alias::FaceOfSimplex< Derived, dim, 2 >

Helper class that provides dimension-specific aliases for face<0,1,2>(int) and faceMapping<0,1,2>(int).

This is inherited by the class Derived, which must provide template functions of the form `Face<dim, subdim>* face<subdim>(int) const` and `Perm<dim+1> faceMapping<subdim>(int) const`, for all facial dimensions subdim ≤ 2.

The documentation for this class was generated from the following file:

- triangulation/alias/face.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).